--- gaim-2.0.0beta4/gtk/gtkaccount.c	2006-11-13 12:36:56.063650566 +0000
+++ gaim-2.0.0beta4-NEW/gtk/gtkaccount.c	2006-11-13 13:42:29.603557732 +0000
@@ -397,12 +397,12 @@
 	dialog->protocol_menu = gaim_gtk_protocol_option_menu_new(
 			dialog->protocol_id, G_CALLBACK(set_account_protocol_cb), dialog);
 
-	add_pref_box(dialog, vbox, _("Protocol:"), dialog->protocol_menu);
+	add_pref_box(dialog, vbox, _("Pro_tocol:"), dialog->protocol_menu);
 
 	/* Screen name */
 	dialog->screenname_entry = gtk_entry_new();
 
-	add_pref_box(dialog, vbox, _("Screen name:"), dialog->screenname_entry);
+	add_pref_box(dialog, vbox, _("Screen nam_e:"), dialog->screenname_entry);
 
 	g_signal_connect(G_OBJECT(dialog->screenname_entry), "changed",
 					 G_CALLBACK(screenname_changed_cb), dialog);
@@ -425,7 +425,7 @@
 		GaimAccountUserSplit *split = l->data;
 		char *buf;
 
-		buf = g_strdup_printf("%s:", gaim_account_user_split_get_text(split));
+		buf = g_strdup_printf("_%s:", gaim_account_user_split_get_text(split));
 
 		entry = gtk_entry_new();
 
@@ -476,16 +476,16 @@
 	dialog->password_entry = gtk_entry_new();
 	gtk_entry_set_visibility(GTK_ENTRY(dialog->password_entry), FALSE);
 	gtk_entry_set_invisible_char(GTK_ENTRY(dialog->password_entry), GAIM_INVISIBLE_CHAR);
-	dialog->password_box = add_pref_box(dialog, vbox, _("Password:"),
+	dialog->password_box = add_pref_box(dialog, vbox, _("_Password:"),
 										  dialog->password_entry);
 
 	/* Alias */
 	dialog->alias_entry = gtk_entry_new();
-	add_pref_box(dialog, vbox, _("Local alias:"), dialog->alias_entry);
+	add_pref_box(dialog, vbox, _("_Local alias:"), dialog->alias_entry);
 
 	/* Remember Password */
 	dialog->remember_pass_check =
-		gtk_check_button_new_with_label(_("Remember password"));
+		gtk_check_button_new_with_mnemonic(_("Remember pass_word"));
 	gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(dialog->remember_pass_check),
 								 FALSE);
 	gtk_box_pack_start(GTK_BOX(vbox), dialog->remember_pass_check,
@@ -556,12 +556,12 @@
 
 	/* New mail notifications */
 	dialog->new_mail_check =
-		gtk_check_button_new_with_label(_("New mail notifications"));
+		gtk_check_button_new_with_mnemonic(_("New mail noti_fications"));
 	gtk_box_pack_start(GTK_BOX(vbox), dialog->new_mail_check, FALSE, FALSE, 0);
 	gtk_widget_show(dialog->new_mail_check);
 
 	/* Buddy icon */
-	dialog->icon_check = gtk_check_button_new_with_label(_("Use this buddy icon for this account:"));
+	dialog->icon_check = gtk_check_button_new_with_mnemonic(_("Use this buddy _icon for this account:"));
 	g_signal_connect(G_OBJECT(dialog->icon_check), "toggled", G_CALLBACK(icon_check_cb), dialog);
 	gtk_widget_show(dialog->icon_check);
 	gtk_box_pack_start(GTK_BOX(vbox), dialog->icon_check, FALSE, FALSE, 0);
@@ -703,8 +703,10 @@
 						gaim_account_option_get_default_bool(option));
 				}
 
-				check = gtk_check_button_new_with_label(
-					gaim_account_option_get_text(option));
+				char *tmp = g_strconcat("_",
+					 gaim_account_option_get_text(option), NULL);
+				check = gtk_check_button_new_with_mnemonic(tmp);
+				g_free(tmp);
 
 				gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(check),
 											 bool_value);
@@ -736,7 +738,7 @@
 				entry = gtk_entry_new();
 				gtk_entry_set_text(GTK_ENTRY(entry), buf);
 
-				title = g_strdup_printf("%s:",
+				title = g_strdup_printf("_%s:",
 						gaim_account_option_get_text(option));
 
 				add_pref_box(dialog, vbox, title, entry);
@@ -772,7 +774,7 @@
 				if (str_value != NULL)
 					gtk_entry_set_text(GTK_ENTRY(entry), str_value);
 
-				title = g_strdup_printf("%s:",
+				title = g_strdup_printf("_%s:",
 						gaim_account_option_get_text(option));
 
 				add_pref_box(dialog, vbox, title, entry);
@@ -833,7 +835,7 @@
 				gtk_cell_layout_set_attributes(GTK_CELL_LAYOUT(combo),
 						renderer, "text", 0, NULL);
 
-				title = g_strdup_printf("%s:",
+				title = g_strdup_printf("_%s:",
 						gaim_account_option_get_text(option));
 
 				add_pref_box(dialog, vbox, title, combo);
@@ -1432,7 +1434,7 @@
 	dialog->bottom_vbox = dbox = gtk_vbox_new(FALSE, GAIM_HIG_BORDER);
 	gtk_container_set_border_width(GTK_CONTAINER(dbox), GAIM_HIG_BORDER);
 	gtk_notebook_append_page(GTK_NOTEBOOK(notebook), dbox,
-			gtk_label_new_with_mnemonic(_("_Advanced")));
+			gtk_label_new_with_mnemonic(_("A_dvanced")));
 	gtk_widget_show(dbox);
 
 	/** Setup the bottom frames. */
@@ -1441,7 +1443,7 @@
         /* Proxy goes to second tab */
         vbox_proxy = gtk_vbox_new(FALSE, 18);
         add_proxy_options(dialog, vbox_proxy);
-        gtk_notebook_append_page (notebook, vbox_proxy, gtk_label_new(_("Proxy Options")));
+        gtk_notebook_append_page (notebook, vbox_proxy, gtk_label_new_with_mnemonic(_("Pro_xy Options")));
         gtk_widget_show_all(notebook);
 
 	/* Setup the button box */
